# Stats

## POST /api/Stats/Post

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/Post":{"post":{"tags":["Stats"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Stat"}},"text/json":{"schema":{"$ref":"#/components/schemas/Stat"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Stat"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"Stat":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"maxLength":25,"minLength":0,"type":"string","nullable":true},"updatetime":{"type":"string","format":"date-time"},"username":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"processorCount":{"type":"integer","format":"int32"},"processorInUse":{"type":"integer","format":"int32"},"physicalMemory":{"type":"integer","format":"int64"},"availablePhysicalMemory":{"type":"integer","format":"int64"},"virtualMemory":{"type":"integer","format":"int64"},"availableVirtualMemory":{"type":"integer","format":"int64"},"memoryInUse":{"type":"integer","format":"int64"},"rootTotal":{"type":"integer","format":"int64"},"rootAvailable":{"type":"integer","format":"int64"},"userTotal":{"type":"integer","format":"int64"},"userAvailable":{"type":"integer","format":"int64"},"diskReads":{"type":"number","format":"float"},"diskWrites":{"type":"number","format":"float"},"networkReceived":{"type":"number","format":"float"},"networkSent":{"type":"number","format":"float"},"uptime":{"type":"number","format":"double","nullable":true},"osVersion":{"maxLength":20,"minLength":0,"type":"string","nullable":true},"tenantId":{"type":"string","nullable":true},"instanceId":{"maxLength":50,"minLength":0,"type":"string","nullable":true}}}}}}
```

## GET /api/Stats/Test

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/Test":{"get":{"tags":["Stats"],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /api/Stats/queue/count

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/queue/count":{"get":{"tags":["Stats"],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/Stats/PostActivity

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/PostActivity":{"post":{"tags":["Stats"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceActivity"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkspaceActivity"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/WorkspaceActivity"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"WorkspaceActivity":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"maxLength":25,"minLength":0,"type":"string","nullable":true},"username":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"activity":{"type":"string","nullable":true},"activityTime":{"type":"string","format":"date-time"},"instanceId":{"maxLength":50,"minLength":0,"type":"string","nullable":true},"tenantId":{"type":"string","nullable":true}}}}}}
```

## POST /api/Stats/PostStartupMetrics

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/PostStartupMetrics":{"post":{"tags":["Stats"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkspaceStartupMetric"}},"text/json":{"schema":{"$ref":"#/components/schemas/WorkspaceStartupMetric"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/WorkspaceStartupMetric"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"WorkspaceStartupMetric":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"computeTypeName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"baselineUtc":{"type":"string","format":"date-time"},"profileMs":{"type":"integer","format":"int32"},"groupPolicyMs":{"type":"integer","format":"int32"},"shellMs":{"type":"integer","format":"int32"},"totalMs":{"type":"integer","format":"int32"},"instanceId":{"type":"string","nullable":true}}}}}}
```

## POST /api/Stats/PostProcesses

>

```json
{"openapi":"3.0.1","info":{"title":"WSM | v1","version":"1.0.0"},"tags":[{"name":"Stats"}],"servers":[{"url":"https://portal.nuvens.cloud/"}],"paths":{"/api/Stats/PostProcesses":{"post":{"tags":["Stats"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentProcessContainer"}},"text/json":{"schema":{"$ref":"#/components/schemas/AgentProcessContainer"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AgentProcessContainer"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"AgentProcessContainer":{"type":"object","properties":{"computeTypeName":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"createdDate":{"type":"string","format":"date-time"},"processes":{"type":"array","items":{"$ref":"#/components/schemas/AgentProcess"},"nullable":true},"instanceId":{"type":"string","nullable":true}}},"AgentProcess":{"type":"object","properties":{"processName":{"type":"string","nullable":true},"processorUsage":{"type":"integer","format":"int32"},"memoryUsage":{"type":"integer","format":"int64"},"processCount":{"type":"integer","format":"int32"},"username":{"type":"string","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nuvens.cloud/api-reference/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
